POST api/Zapier/InsertNotesForSameInsured
Insert notes against all insured having same name/phone number or email address.
Request Information
URI Parameters
None.
Body Parameters
NoteIntegrationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| database_id | globally unique identifier |
None. |
|
| subject | string |
None. |
|
| insured_database_id | globally unique identifier |
None. |
|
| insured_email | string |
None. |
|
| insured_first_name | string |
None. |
|
| insured_last_name | string |
None. |
|
| insured_commercial_name | string |
None. |
|
| create_date | string |
None. |
|
| creator_name | string |
None. |
|
| type | string |
None. |
|
| parent_note_id | globally unique identifier |
None. |
|
| hide | boolean |
None. |
|
| policy_database_id | globally unique identifier |
None. |
|
| policies_database_ids | Collection of globally unique identifier |
None. |
|
| origin | PolicyOrigin |
None. |
|
| taskId | globally unique identifier |
None. |
|
| is_sticky_note | boolean |
None. |
|
| sticky_note_color | StickyNoteColor |
None. |
|
| opportunity_database_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"database_id": "5e74d724-080d-4797-8e9e-8cbaeae7532f",
"subject": "sample string 2",
"insured_database_id": "dbca156c-f43c-4d5e-b47a-60dbf69e9b6c",
"insured_email": "sample string 3",
"insured_first_name": "sample string 4",
"insured_last_name": "sample string 5",
"insured_commercial_name": "sample string 6",
"create_date": "sample string 7",
"creator_name": "sample string 8",
"type": "sample string 9",
"parent_note_id": "b478aca5-9fc4-42a0-8601-d4fb7ad31889",
"hide": true,
"policy_database_id": "dc8b73f6-317e-4fc5-a57b-1fdcfc9fd1db",
"policies_database_ids": [
"e973af37-0904-4044-9709-44ff3113669a",
"ddd70226-8dfd-4e17-b7d3-b2a631619c77"
],
"origin": 0,
"taskId": "b7992bef-f575-4351-81ad-1aa76051c8d9",
"is_sticky_note": true,
"sticky_note_color": 0,
"opportunity_database_id": "cbba899e-8315-41c2-91e1-5d83706bbe9d"
}
application/xml, text/xml
Sample:
<NoteIntegrationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations">
<CreateDate>sample string 7</CreateDate>
<CreatorName>sample string 8</CreatorName>
<DatabaseId>5e74d724-080d-4797-8e9e-8cbaeae7532f</DatabaseId>
<Hide>true</Hide>
<InsuredCommercialName>sample string 6</InsuredCommercialName>
<InsuredDatabaseId>dbca156c-f43c-4d5e-b47a-60dbf69e9b6c</InsuredDatabaseId>
<InsuredEmail>sample string 3</InsuredEmail>
<InsuredFirstName>sample string 4</InsuredFirstName>
<InsuredLastName>sample string 5</InsuredLastName>
<IsStickyNote>true</IsStickyNote>
<OpportunityDatabaseId>cbba899e-8315-41c2-91e1-5d83706bbe9d</OpportunityDatabaseId>
<Origin>Manual</Origin>
<ParentNoteId>b478aca5-9fc4-42a0-8601-d4fb7ad31889</ParentNoteId>
<PoliciesDatabaseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>e973af37-0904-4044-9709-44ff3113669a</d2p1:guid>
<d2p1:guid>ddd70226-8dfd-4e17-b7d3-b2a631619c77</d2p1:guid>
</PoliciesDatabaseIds>
<PolicyDatabaseId>dc8b73f6-317e-4fc5-a57b-1fdcfc9fd1db</PolicyDatabaseId>
<StickyNoteColor>None</StickyNoteColor>
<Subject>sample string 2</Subject>
<TaskId>b7992bef-f575-4351-81ad-1aa76051c8d9</TaskId>
<Type>sample string 9</Type>
</NoteIntegrationModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>